MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::R12IntsAcc_MPIIOFile_Ind Class Reference
Inheritance diagram for sc::R12IntsAcc_MPIIOFile_Ind:

List of all members.

## Public Member Functions

| R12IntsAcc_MPIIOFile_Ind (Ref< MemoryGrp > &mem, const char *filename, int num_te_types, int ni, int nj, int nx, int ny)
| R12IntsAcc_MPIIOFile_Ind (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | store_memorygrp (Ref< MemoryGrp > &mem, int ni, const size_t blksize=0)
| Stores all pair block of integrals held in mem.
double * | retrieve_pair_block (int i, int j, tbint_type oper_type)
| Retrieves an ij pair block of integrals from the file.

## Member Function Documentation

void sc::R12IntsAcc_MPIIOFile_Ind::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::R12IntsAcc_MPIIOFile.

void sc::R12IntsAcc_MPIIOFile_Ind::store_memorygrp | ( | Ref< MemoryGrp > & | mem,
|  | int | ni,
|  | const size_t | blksize = `0`
| ) |  | `[virtual]`

Stores all pair block of integrals held in mem.

By default blocks are appended to the end of the same file, i.e. they are assumed to have come from consecutive passes of the same transformation. This is a collective operation. See documentation for R12IntsAcc::store_memorygrp() for more info.

Implements sc::R12IntsAcc.

The documentation for this class was generated from the following file:

- r12ia_mpiiofile.h